Xalan-Java 2.7.1: Class IntegerArray

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.util
Class IntegerArray

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.util.IntegerArray

public final class IntegerArray
extends java.lang.Object

Constructor Summary
`IntegerArray()`
`IntegerArray(int size)`
`IntegerArray(int[] array)`

Method Summary
`void` | `add(int value)`
`void` | `addNew(int value)` Adds new int at the end if not already present.
`int` | `at(int index)`
`int` | `cardinality()`
`void` | `clear()`
`java.lang.Object` | `clone()`
`int` | `indexOf(int n)`
`int` | `last()`
`void` | `merge(IntegerArray other)` Merge two sorted arrays and eliminate duplicates.
`void` | `pop()`
`void` | `pop(int n)`
`int` | `popLast()`
`void` | `print(java.io.PrintStream out)`
`void` | `reverse()`
`void` | `set(int index, int value)`
`void` | `setLast(int n)`
`void` | `sort()`
`int[]` | `toIntArray()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerArray

    public IntegerArray()

### IntegerArray

    public IntegerArray(int size)

### IntegerArray

    public IntegerArray(int[] array)

Method Detail

### clear

    public void clear()

### clone

    public java.lang.Object clone()

### toIntArray

    public int[] toIntArray()

### at

    public final int at(int index)

### set

    public final void set(int index,
                          int value)

### indexOf

    public int indexOf(int n)

### add

    public final void add(int value)

### addNew

    public void addNew(int value)

  Adds new int at the end if not already present.

### reverse

    public void reverse()

### merge

    public void merge(IntegerArray other)

  Merge two sorted arrays and eliminate duplicates. Elements of the other IntegerArray must not be changed.

### sort

    public void sort()

### popLast

    public int popLast()

### last

    public int last()

### setLast

    public void setLast(int n)

### pop

    public void pop()

### pop

    public void pop(int n)

### cardinality

    public final int cardinality()

### print

    public void print(java.io.PrintStream out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.